## libksysguard 6.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(libksysguard)

set(PROJECT_VERSION "6.1.5")
set(PROJECT_VERSION_MAJOR 6)

# check with non-Plasma consumers (e.g. KDevelop) before bumping these versions to make sure the KDE CI does not break
set(QT_MIN_VERSION "6.6.0")
set(KF6_MIN_VERSION "6.2.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(ECMAddTests)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

include(CMakePackageConfigHelpers)
include(CheckIncludeFiles)
include(CheckLibraryExists)
include(FeatureSummary)
include(GenerateExportHeader)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS DBus Network Widgets Qml Quick)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Config I18n Auth Service Package NewStuff Solid)

find_package(ZLIB REQUIRED)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "https://zlib.net/"
                       TYPE REQUIRED
                      )

check_library_exists(c clock_gettime "time.h" HAVE_CLOCK_GETTIME_C)

ecm_setup_version(${PROJECT_VERSION}
                  VARIABLE_PREFIX KSYSGUARD
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ksysguard_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfigVersion.cmake"
                  SOVERSION 10
)

if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    find_package(NL)
    set_package_properties(NL PROPERTIES
        TYPE REQUIRED
        PURPOSE "Used for gathering socket info via the sock_diag netlink subsystem."
        URL "https://github.com/thom311/libnl/"
    )
    find_package(libpcap)
    set_package_properties(
        libpcap PROPERTIES
        TYPE RECOMMENDED
        PURPOSE "libpcap is used for per-application network usage."
    )

    if(libpcap_FOUND )
        set(BUILD_NETWORK_PLUGIN TRUE)

        find_package(Libcap)
        set_package_properties(Libcap PROPERTIES
            TYPE OPTIONAL
            PURPOSE "Needed for setting capabilities of the per-application network plugin."
        )
    endif()

    find_package(Sensors)
    set_package_properties(Sensors PROPERTIES
        TYPE REQUIRED
        PURPOSE "Used for reading hardware sensors")
endif()

option(ENABLE_KAUTH_HELPER "Build and install ksysguardprocesslist_helper KAuth helper" ON)
add_feature_info(KAUTH_HELPER ${ENABLE_KAUTH_HELPER} "Build and install ksysguardprocesslist_helper KAuth helper")

ecm_set_disabled_deprecation_versions(
    QT 5.15.0
)

add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055B00)
add_definitions(-DKF_DEPRECATED_WARNINGS_SINCE=0x060000)
add_definitions(-DQT_USE_QSTRINGBUILDER)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)

add_subdirectory( formatter )
add_subdirectory( processcore )
add_subdirectory( sensors )
add_subdirectory( faces )
add_subdirectory( systemstats )

if(BUILD_TESTING)
    add_subdirectory( autotests )
endif()

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_LIBDIR}/cmake/KSysGuard)
configure_package_config_file(KSysGuardConfig.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/KSysGuardConfigVersion.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(EXPORT libksysguardLibraryTargets
        NAMESPACE KSysGuard::
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        FILE KSysGuardLibraryTargets.cmake )

ecm_qt_install_logging_categories(
        EXPORT LIBKSYSGUARD
        FILE libksysguard.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
libksysguard (4:6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 05:59:56 +0100

libksysguard (4:6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:42:37 +0100

libksysguard (4:6.1.3-1ubuntu1) UNRELEASED; urgency=medium

  * Kubuntu Vcs and maintainer.
  * Update symbols from build logs.
  * wrap-and-sort -bt
  * Provide transitional dummy packages for upgrade from Plasma 5.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Jul 2024 12:43:16 +0100

libksysguard (4:6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Add build dependency on libcap2-bin, the build process needs setcap.
  * Update symbols from build for 6.1.3.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:14 +0200

libksysguard (4:6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Fri, 21 Jun 2024 10:18:12 +0200

libksysguard (4:5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:19:38 +0200

=== debian/control ===
Source: libksysguard
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.2.0~),
               gettext,
               libcap-dev [linux-any],
               libcap2-bin [linux-any],
               libkf6auth-dev (>= 6.2.0~),
               libkf6config-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6newstuff-dev (>= 6.2.0~),
               libkf6package-dev (>= 6.2.0~),
               libkf6service-dev (>= 6.2.0~),
               libkf6solid-dev (>= 6.2.0~),
               libnl-3-dev [linux-any],
               libnl-route-3-dev [linux-any],
               libpcap-dev [linux-any],
               libsensors-dev [linux-any],
               libx11-dev,
               libxkbcommon-dev,
               libxres-dev,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/libksysguard
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
Rules-Requires-Root: no

Package: libksysguard-bin
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ksysguard (<< 4:5.21.80), libkf5sysguard-bin (<< 4:6.1.0-1ubuntu1~),
Replaces: ksysguard (<< 4:5.21.80), libkf5sysguard-bin (<< 4:6.1.0-1ubuntu1~),
Description: library for system monitoring - utilities
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the support utilities.

Package: libksysguard-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: ksysguard-data (<< 4:5.21.80), libkf5sysguard-data (<< 4:6.1.0-1ubuntu1~),
Replaces: ksysguard-data (<< 4:5.21.80), libkf5sysguard-data (<< 4:6.1.0-1ubuntu1~),
Description: library for system monitoring - data files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the data files

Package: libksysguard-dev
Section: libdevel
Architecture: any
Depends: libkf6config-dev (>= 6.2.0~),
         libkf6i18n-dev (>= 6.2.0~),
         libksysguard-bin (= ${binary:Version}),
         libksysguardformatter2 (= ${binary:Version}),
         libksysguardsensorfaces2 (= ${binary:Version}),
         libksysguardsensors2 (= ${binary:Version}),
         libksysguardsystemstats2 (= ${binary:Version}),
         libprocesscore10 (= ${binary:Version}),
         qt6-base-dev (>= 6.6.0+dfsg~),
         ${misc:Depends},
Breaks: libkf5sysguard-dev,
Replaces: libkf5sysguard-dev,
Description: library for system monitoring - development files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the files necessary for development.

Package: libksysguardformatter2
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardformatter shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardformatter.

Package: libksysguardsensorfaces2
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsensorfaces shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsensorfaces.

Package: libksysguardsensors2
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsensors shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsensors.

Package: libksysguardsystemstats2
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsystemstats shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsystemstats.

Package: libprocesscore10
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - processcore shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libprocesscore.

Package: qml6-module-org-kde-ksysguard
Architecture: any
Depends: qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-quickcharts,
         qml6-module-qtqml-models,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KSysGuard QtDeclarative QML Support
 Contains a plugin for QtDeclarative that provides
 support for using KSysGuard components written
 in QML.

Package: libkf5sysguard-bin
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring
 Transitional dummy package.

Package: libkf5sysguard-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for system monitoring
 Transitional dummy package.

Package: libksgrd9
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libksignalplotter9
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libksysguardformatter1
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libksysguardsensorfaces1
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libksysguardsensors1
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libksysguardsystemstats1
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: liblsofui9
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libprocesscore9
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libprocessui9
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: qml-module-org-kde-ksysguard
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

## libksysguard 6.2.90

=== debian/changelog ===
libksysguard (4:6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 05:45:02 +0000

libksysguard (4:6.2.5-0ubuntu3) plucky; urgency=medium

  * More sybols updates.

 -- Rik Mills <rikmills@kde.org>  Wed, 01 Jan 2025 03:02:44 +0000

libksysguard (4:6.2.5-0ubuntu2) plucky; urgency=medium

  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 01 Jan 2025 02:29:34 +0000

libksysguard (4:6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:01:33 +0000

libksysguard (4:6.2.4-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.2.3-4 in Debian unstable:

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 19:50:37 +0000

libksysguard (4:6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:14:23 +0000

libksysguard (4:6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * Update symbols from build logs.
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:57:34 +0000

=== debian/control ===
--- 
+++ 
@@ -10,18 +10,19 @@
                dh-exec,
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.2.0~),
+               dh-sequence-qmldeps,
+               extra-cmake-modules (>= 6.10.0~),
                gettext,
                libcap-dev [linux-any],
                libcap2-bin [linux-any],
-               libkf6auth-dev (>= 6.2.0~),
-               libkf6config-dev (>= 6.2.0~),
-               libkf6coreaddons-dev (>= 6.2.0~),
-               libkf6i18n-dev (>= 6.2.0~),
-               libkf6newstuff-dev (>= 6.2.0~),
-               libkf6package-dev (>= 6.2.0~),
-               libkf6service-dev (>= 6.2.0~),
-               libkf6solid-dev (>= 6.2.0~),
+               libkf6auth-dev (>= 6.10.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               libkf6newstuff-dev (>= 6.10.0~),
+               libkf6package-dev (>= 6.10.0~),
+               libkf6service-dev (>= 6.10.0~),
+               libkf6solid-dev (>= 6.10.0~),
                libnl-3-dev [linux-any],
                libnl-route-3-dev [linux-any],
                libpcap-dev [linux-any],
@@ -29,8 +30,11 @@
                libx11-dev,
                libxkbcommon-dev,
                libxres-dev,
-               qt6-base-dev (>= 6.6.0+dfsg~),
-               qt6-declarative-dev (>= 6.6.0+dfsg~),
+               qml6-module-org-kde-kitemmodels,
+               qml6-module-org-kde-quickcharts,
+               qml6-module-qt5compat-graphicaleffects,
+               qt6-base-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.7.0~),
                zlib1g-dev,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/libksysguard
@@ -54,7 +58,8 @@
 Package: libksysguard-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${qml6:Depends}, ${misc:Depends},
+Suggests: qml6-module-org-kde-ksysguard,
 Breaks: ksysguard-data (<< 4:5.21.80), libkf5sysguard-data (<< 4:6.1.0-1ubuntu1~),
 Replaces: ksysguard-data (<< 4:5.21.80), libkf5sysguard-data (<< 4:6.1.0-1ubuntu1~),
 Description: library for system monitoring - data files
@@ -66,15 +71,16 @@
 Package: libksysguard-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6config-dev (>= 6.2.0~),
-         libkf6i18n-dev (>= 6.2.0~),
+Depends: libkf6config-dev (>= 6.10.0~),
+         libkf6i18n-dev (>= 6.10.0~),
          libksysguard-bin (= ${binary:Version}),
          libksysguardformatter2 (= ${binary:Version}),
          libksysguardsensorfaces2 (= ${binary:Version}),
          libksysguardsensors2 (= ${binary:Version}),
          libksysguardsystemstats2 (= ${binary:Version}),
          libprocesscore10 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0+dfsg~),
+         qml6-module-org-kde-ksysguard (= ${binary:Version}),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Breaks: libkf5sysguard-dev,
 Replaces: libkf5sysguard-dev,
@@ -141,16 +147,7 @@
 
 Package: qml6-module-org-kde-ksysguard
 Architecture: any
-Depends: qml6-module-org-kde-kirigami,
-         qml6-module-org-kde-kitemmodels,
-         qml6-module-org-kde-quickcharts,
-         qml6-module-qtqml-models,
-         qml6-module-qtquick,
-         qml6-module-qtquick-controls,
-         qml6-module-qtquick-layouts,
-         qml6-module-qtquick-window,
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: KSysGuard QtDeclarative QML Support
  Contains a plugin for QtDeclarative that provides
  support for using KSysGuard components written

## libksysguard 6.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,12 @@
 
 project(libksysguard)
 
-set(PROJECT_VERSION "6.1.5")
+set(PROJECT_VERSION "6.3.0")
 set(PROJECT_VERSION_MAJOR 6)
 
 # check with non-Plasma consumers (e.g. KDevelop) before bumping these versions to make sure the KDE CI does not break
-set(QT_MIN_VERSION "6.6.0")
-set(KF6_MIN_VERSION "6.2.0")
+set(QT_MIN_VERSION "6.7.0")
+set(KF6_MIN_VERSION "6.10.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
@@ -24,6 +24,7 @@
 include(ECMSetupVersion)
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
+include(ECMQmlModule)
 
 include(CMakePackageConfigHelpers)
 include(CheckIncludeFiles)
@@ -85,10 +86,9 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 5.15.0
+    KF 6.0.0
 )
 
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055B00)
-add_definitions(-DKF_DEPRECATED_WARNINGS_SINCE=0x060000)
 add_definitions(-DQT_USE_QSTRINGBUILDER)
 
 set(CMAKE_CXX_STANDARD 20)
@@ -132,4 +132,4 @@
 
 ki18n_install(po)
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
libksysguard (4:6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 14:58:51 +0100

libksysguard (4:6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:51:32 +0100

libksysguard (4:6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.2.90.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:27:08 +0100

libksysguard (4:6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 10:57:32 +0100

libksysguard (4:6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).
  * Update build-deps and deps with the info from cmake.
  * Add missing QML module detected by dh_qmldeps.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 22:59:52 +0100

libksysguard (4:6.2.3-5) unstable; urgency=medium

  * Team upload.
  * Mark few Linux symbols as such.

 -- Pino Toscano <pino@debian.org>  Tue, 03 Dec 2024 20:24:44 +0100

libksysguard (4:6.2.3-4) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Lower dependency from -data package to qml package to suggest to break inter
    package circula dependency.

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 Nov 2024 00:03:44 +0100

libksysguard (4:6.2.3-3) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Add qmldeps.overrides to fix arch:all only build (Closes: #1088293).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 Nov 2024 23:32:42 +0100

libksysguard (4:6.2.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 Nov 2024 14:20:46 +0100

libksysguard (4:6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Add build dependency to qt6-declarative-private-dev required since
    cmake 3.31.
  * Update symbols from build for 6.2.3.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:26 +0100

libksysguard (4:6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 17:47:45 +0200

libksysguard (4:6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.1.90.
  * New upstream release (6.2.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:42 +0200

libksysguard (4:6.1.5-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 4:6.1.5.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 13 Sep 2024 16:00:23 +0200

libksysguard (4:6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:27:43 +0200

libksysguard (4:6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:19 +0200

=== debian/control ===
Source: libksysguard
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libcap-dev [linux-any],
               libcap2-bin [linux-any],
               libkf6auth-dev (>= 6.10.0~),
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6newstuff-dev (>= 6.10.0~),
               libkf6package-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkf6solid-dev (>= 6.10.0~),
               libnl-3-dev [linux-any],
               libnl-route-3-dev [linux-any],
               libpcap-dev [linux-any],
               libsensors-dev [linux-any],
               libx11-dev,
               libxkbcommon-dev,
               libxres-dev,
               qml6-module-org-kde-kitemmodels,
               qml6-module-org-kde-quickcharts,
               qml6-module-qt5compat-graphicaleffects,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/libksysguard
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksysguard
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksysguard.git
Rules-Requires-Root: no

Package: libksysguard-bin
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ksysguard (<< 4:5.21.80), libkf5sysguard-bin,
Replaces: ksysguard (<< 4:5.21.80), libkf5sysguard-bin,
Description: library for system monitoring - utilities
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the support utilities.

Package: libksysguard-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${qml6:Depends},
Suggests: qml6-module-org-kde-ksysguard,
Breaks: ksysguard-data (<< 4:5.21.80), libkf5sysguard-data,
Replaces: ksysguard-data (<< 4:5.21.80), libkf5sysguard-data,
Description: library for system monitoring - data files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the data files

Package: libksysguard-dev
Section: libdevel
Architecture: any
Depends: libkf6config-dev (>= 6.10.0~),
         libkf6i18n-dev (>= 6.10.0~),
         libksysguard-bin (= ${binary:Version}),
         libksysguardformatter2 (= ${binary:Version}),
         libksysguardsensorfaces2 (= ${binary:Version}),
         libksysguardsensors2 (= ${binary:Version}),
         libksysguardsystemstats2 (= ${binary:Version}),
         libprocesscore10 (= ${binary:Version}),
         qml6-module-org-kde-ksysguard (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Breaks: libkf5sysguard-dev,
Replaces: libkf5sysguard-dev,
Description: library for system monitoring - development files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the files necessary for development.

Package: libprocesscore10
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - processcore shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libprocesscore.

Package: libksysguardformatter2
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardformatter shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardformatter.

Package: libksysguardsensors2
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsensors shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsensors.

Package: libksysguardsensorfaces2
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsensorfaces shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsensorfaces.

Package: libksysguardsystemstats2
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsystemstats shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsystemstats.

Package: qml6-module-org-kde-ksysguard
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: KSysGuard QtDeclarative QML Support
 Contains a plugin for QtDeclarative that provides
 support for using KSysGuard components written
 in QML.

## libksysguard 6.3.2

=== debian/changelog ===
libksysguard (4:6.3.2-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes required.
  * CI: simplify/improve config.
  * Update symbols files from the logs of buildds.
  * Mark some packages as Multi-Arch: same: libprocesscore10,
    libksysguardformatter2, libksysguardsensors2, libksysguardsensorfaces2,
    libksysguardsystemstats2, and qml6-module-org-kde-ksysguard.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Mar 2025 06:06:45 +0100

libksysguard (4:6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * New upstream release (6.3.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:51:51 +0100

## libksysguard 6.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(libksysguard)
 
-set(PROJECT_VERSION "6.3.0")
+set(PROJECT_VERSION "6.3.4")
 set(PROJECT_VERSION_MAJOR 6)
 
 # check with non-Plasma consumers (e.g. KDevelop) before bumping these versions to make sure the KDE CI does not break

=== debian/changelog ===
libksysguard (4:6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:56:18 +0100

libksysguard (4:6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:20:35 +0000

libksysguard (4:6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols files.
    - wrap-and-sort -bt
    - Provide transitional dummy packages for upgrade from Plasma 5.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 14:50:10 +0000

libksysguard (4:6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:16:36 +0000

libksysguard (4:6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:23:37 +0000

libksysguard (4:6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:55:47 +0000

libksysguard (4:6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:42:16 +0000

=== debian/control ===
Source: libksysguard
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libcap-dev [linux-any],
               libcap2-bin [linux-any],
               libkf6auth-dev (>= 6.10.0~),
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6newstuff-dev (>= 6.10.0~),
               libkf6package-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkf6solid-dev (>= 6.10.0~),
               libnl-3-dev [linux-any],
               libnl-route-3-dev [linux-any],
               libpcap-dev [linux-any],
               libsensors-dev [linux-any],
               libx11-dev,
               libxkbcommon-dev,
               libxres-dev,
               qml6-module-org-kde-kitemmodels,
               qml6-module-org-kde-quickcharts,
               qml6-module-qt5compat-graphicaleffects,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/libksysguard
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
Rules-Requires-Root: no

Package: libksysguard-bin
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ksysguard (<< 4:5.21.80), libkf5sysguard-bin (<< 4:6.1.0-1ubuntu1~),
Replaces: ksysguard (<< 4:5.21.80), libkf5sysguard-bin (<< 4:6.1.0-1ubuntu1~),
Description: library for system monitoring - utilities
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the support utilities.

Package: libksysguard-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${qml6:Depends},
Suggests: qml6-module-org-kde-ksysguard,
Breaks: ksysguard-data (<< 4:5.21.80), libkf5sysguard-data (<< 4:6.1.0-1ubuntu1~),
Replaces: ksysguard-data (<< 4:5.21.80), libkf5sysguard-data (<< 4:6.1.0-1ubuntu1~),
Description: library for system monitoring - data files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the data files

Package: libksysguard-dev
Section: libdevel
Architecture: any
Depends: libkf6config-dev (>= 6.10.0~),
         libkf6i18n-dev (>= 6.10.0~),
         libksysguard-bin (= ${binary:Version}),
         libksysguardformatter2 (= ${binary:Version}),
         libksysguardsensorfaces2 (= ${binary:Version}),
         libksysguardsensors2 (= ${binary:Version}),
         libksysguardsystemstats2 (= ${binary:Version}),
         libprocesscore10 (= ${binary:Version}),
         qml6-module-org-kde-ksysguard (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Breaks: libkf5sysguard-dev,
Replaces: libkf5sysguard-dev,
Description: library for system monitoring - development files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the files necessary for development.

Package: libksysguardformatter2
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardformatter shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardformatter.

Package: libksysguardsensorfaces2
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsensorfaces shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsensorfaces.

Package: libksysguardsensors2
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsensors shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsensors.

Package: libksysguardsystemstats2
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - ksysguardsystemstats shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libksysguardsystemstats.

Package: libprocesscore10
Architecture: any
Depends: libksysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for system monitoring - processcore shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library libprocesscore.

Package: qml6-module-org-kde-ksysguard
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: KSysGuard QtDeclarative QML Support
 Contains a plugin for QtDeclarative that provides
 support for using KSysGuard components written
 in QML.

Package: libkf5sysguard-bin
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring
 Transitional dummy package.

Package: libkf5sysguard-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for system monitoring
 Transitional dummy package.

Package: libksgrd9
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libksignalplotter9
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libksysguardformatter1
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libksysguardsensorfaces1
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libksysguardsensors1
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libksysguardsystemstats1
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: liblsofui9
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libprocesscore9
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: libprocessui9
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.

Package: qml-module-org-kde-ksysguard
Architecture: all
Depends: ${misc:Depends},
Description: library for system monitoring - utilities
 Transitional dummy package.
